summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHideki Yamane <henrich@debian.org>2018-02-25 12:06:38 (GMT)
committerHideki Yamane <henrich@debian.org>2018-03-05 13:19:19 (GMT)
commitf25266e4c6110aca93f8c03faad246cd75c6d1f7 (patch)
treeaf4190b246cd082ca267c03dfb80112009c2ed12
parente510462790d08f9fcb4a886d0128c87deab1350e (diff)
downloaddebootstrap-f25266e4c6110aca93f8c03faad246cd75c6d1f7.zip
debootstrap-f25266e4c6110aca93f8c03faad246cd75c6d1f7.tar.gz
debootstrap-f25266e4c6110aca93f8c03faad246cd75c6d1f7.tar.bz2
set correct keyring and default mirror for old debian releases
-rw-r--r--[l---------]scripts/etch217
l---------scripts/etch-m68k2
l---------scripts/lenny2
-rw-r--r--scripts/potato2
-rw-r--r--scripts/sarge2
l---------scripts/squeeze2
-rw-r--r--scripts/woody2
-rw-r--r--scripts/woody.buildd2
8 files changed, 227 insertions, 4 deletions
diff --git a/scripts/etch b/scripts/etch
index 9a63c96..22c89a9 120000..100644
--- a/scripts/etch
+++ b/scripts/etch
@@ -1 +1,216 @@
-sid \ No newline at end of file
+mirror_style release
+download_style apt
+finddebs_style from-indices
+variants - buildd fakechroot minbase
+default_mirror http://archive.debian.org/debian
+keyring /usr/share/keyrings/debian-archive-removed-keys.gpg
+force_md5
+
+if doing_variant fakechroot; then
+ test "$FAKECHROOT" = "true" || error 1 FAKECHROOTREQ "This variant requires fakechroot environment to be started"
+fi
+
+case $ARCH in
+ alpha|ia64) LIBC="libc6.1" ;;
+ kfreebsd-*) LIBC="libc0.1" ;;
+ hurd-*) LIBC="libc0.3" ;;
+ *) LIBC="libc6" ;;
+esac
+
+work_out_debs () {
+ required="$(get_debs Priority: required)"
+
+ if doing_variant - || doing_variant fakechroot; then
+ #required="$required $(get_debs Priority: important)"
+ # ^^ should be getting debconf here somehow maybe
+ base="$(get_debs Priority: important)"
+ elif doing_variant buildd; then
+ base="apt build-essential"
+ elif doing_variant minbase; then
+ base="apt"
+ fi
+
+ if doing_variant fakechroot; then
+ # ldd.fake needs binutils
+ required="$required binutils"
+ fi
+
+ case $MIRRORS in
+ https://*)
+ base="$base apt-transport-https ca-certificates"
+ ;;
+ esac
+}
+
+first_stage_install () {
+ case "$CODENAME" in
+ etch|etch-m68k|jessie|jessie-kfreebsd|lenny|squeeze|wheezy) ;;
+ *)
+ EXTRACT_DEB_TAR_OPTIONS="$EXTRACT_DEB_TAR_OPTIONS -k"
+ setup_merged_usr
+ ;;
+ esac
+
+ extract $required
+
+ mkdir -p "$TARGET/var/lib/dpkg"
+ : >"$TARGET/var/lib/dpkg/status"
+ : >"$TARGET/var/lib/dpkg/available"
+
+ setup_etc
+ if [ ! -e "$TARGET/etc/fstab" ]; then
+ echo '# UNCONFIGURED FSTAB FOR BASE SYSTEM' > "$TARGET/etc/fstab"
+ chown 0:0 "$TARGET/etc/fstab"; chmod 644 "$TARGET/etc/fstab"
+ fi
+
+ setup_devices
+}
+
+second_stage_install () {
+ setup_dynamic_devices
+
+ x_feign_install () {
+ local pkg="$1"
+ local deb="$(debfor $pkg)"
+ local ver="$(in_target dpkg-deb -f "$deb" Version)"
+
+ mkdir -p "$TARGET/var/lib/dpkg/info"
+
+ echo \
+"Package: $pkg
+Version: $ver
+Maintainer: unknown
+Status: install ok installed" >> "$TARGET/var/lib/dpkg/status"
+
+ touch "$TARGET/var/lib/dpkg/info/${pkg}.list"
+ }
+
+ x_feign_install dpkg
+
+ x_core_install () {
+ smallyes '' | in_target dpkg --force-depends --install $(debfor "$@")
+ }
+
+ p () {
+ baseprog="$(($baseprog + ${1:-1}))"
+ }
+
+ if doing_variant fakechroot; then
+ setup_proc_fakechroot
+ else
+ setup_proc
+ in_target /sbin/ldconfig
+ fi
+
+ DEBIAN_FRONTEND=noninteractive
+ DEBCONF_NONINTERACTIVE_SEEN=true
+ export DEBIAN_FRONTEND DEBCONF_NONINTERACTIVE_SEEN
+
+ baseprog=0
+ bases=7
+
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #1
+ info INSTCORE "Installing core packages..."
+
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #2
+ ln -sf mawk "$TARGET/usr/bin/awk"
+ x_core_install base-passwd
+ x_core_install base-files
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #3
+ x_core_install dpkg
+
+ if [ ! -e "$TARGET/etc/localtime" ]; then
+ ln -sf /usr/share/zoneinfo/UTC "$TARGET/etc/localtime"
+ fi
+
+ if doing_variant fakechroot; then
+ install_fakechroot_tools
+ fi
+
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #4
+ x_core_install $LIBC
+
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #5
+ x_core_install perl-base
+
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #6
+ rm "$TARGET/usr/bin/awk"
+ x_core_install mawk
+
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #7
+ if doing_variant -; then
+ x_core_install debconf
+ fi
+
+ baseprog=0
+ bases=$(set -- $required; echo $#)
+
+ info UNPACKREQ "Unpacking required packages..."
+
+ exec 7>&1
+
+ smallyes '' |
+ (repeatn 5 in_target_failmsg UNPACK_REQ_FAIL_FIVE "Failure while unpacking required packages. This will be attempted up to five times." "" \
+ dpkg --status-fd 8 --force-depends --unpack $(debfor $required) 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases UNPACKREQ "Unpacking required packages" UNPACKING
+
+ info CONFREQ "Configuring required packages..."
+
+ echo \
+"#!/bin/sh
+exit 101" > "$TARGET/usr/sbin/policy-rc.d"
+ chmod 755 "$TARGET/usr/sbin/policy-rc.d"
+
+ mv "$TARGET/sbin/start-stop-daemon" "$TARGET/sbin/start-stop-daemon.REAL"
+ echo \
+"#!/bin/sh
+echo
+echo \"Warning: Fake start-stop-daemon called, doing nothing\"" > "$TARGET/sbin/start-stop-daemon"
+ chmod 755 "$TARGET/sbin/start-stop-daemon"
+
+ setup_dselect_method apt
+
+ smallyes '' |
+ (in_target_failmsg CONF_REQ_FAIL "Failure while configuring required packages." "" \
+ dpkg --status-fd 8 --configure --pending --force-configure-any --force-depends 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases CONFREQ "Configuring required packages" CONFIGURING
+
+ baseprog=0
+ bases="$(set -- $base; echo $#)"
+
+ info UNPACKBASE "Unpacking the base system..."
+
+ setup_available $required $base
+ done_predeps=
+ while predep=$(get_next_predep); do
+ # We have to resolve dependencies of pre-dependencies manually because
+ # dpkg --predep-package doesn't handle this.
+ predep=$(without "$(without "$(resolve_deps $predep)" "$required")" "$done_predeps")
+ # XXX: progress is tricky due to how dpkg_progress works
+ # -- cjwatson 2009-07-29
+ p; smallyes '' |
+ in_target dpkg --force-overwrite --force-confold --skip-same-version --install $(debfor $predep)
+ base=$(without "$base" "$predep")
+ done_predeps="$done_predeps $predep"
+ done
+
+ if [ -n "$base" ]; then
+ smallyes '' |
+ (repeatn 5 in_target_failmsg INST_BASE_FAIL_FIVE "Failure while installing base packages. This will be re-attempted up to five times." "" \
+ dpkg --status-fd 8 --force-overwrite --force-confold --skip-same-version --unpack $(debfor $base) 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases UNPACKBASE "Unpacking base system" UNPACKING
+
+ info CONFBASE "Configuring the base system..."
+
+ smallyes '' |
+ (repeatn 5 in_target_failmsg CONF_BASE_FAIL_FIVE "Failure while configuring base packages. This will be re-attempted up to five times." "" \
+ dpkg --status-fd 8 --force-confold --skip-same-version --configure -a 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases CONFBASE "Configuring base system" CONFIGURING
+ fi
+
+ mv "$TARGET/sbin/start-stop-daemon.REAL" "$TARGET/sbin/start-stop-daemon"
+ rm -f "$TARGET/usr/sbin/policy-rc.d"
+
+ progress $bases $bases CONFBASE "Configuring base system"
+ info BASESUCCESS "Base system installed successfully."
+}
diff --git a/scripts/etch-m68k b/scripts/etch-m68k
index 9a63c96..190cf35 120000
--- a/scripts/etch-m68k
+++ b/scripts/etch-m68k
@@ -1 +1 @@
-sid \ No newline at end of file
+etch \ No newline at end of file
diff --git a/scripts/lenny b/scripts/lenny
index 9a63c96..190cf35 120000
--- a/scripts/lenny
+++ b/scripts/lenny
@@ -1 +1 @@
-sid \ No newline at end of file
+etch \ No newline at end of file
diff --git a/scripts/potato b/scripts/potato
index b6dedab..4867c61 100644
--- a/scripts/potato
+++ b/scripts/potato
@@ -1,5 +1,7 @@
mirror_style release
download_style apt var-state
+default_mirror http://archive.debian.org/debian
+keyring /usr/share/keyrings/debian-archive-removed-keys.gpg
force_md5
LIBC=libc6
diff --git a/scripts/sarge b/scripts/sarge
index aa37d94..051e5a4 100644
--- a/scripts/sarge
+++ b/scripts/sarge
@@ -1,5 +1,7 @@
mirror_style release
download_style apt
+default_mirror http://archive.debian.org/debian
+keyring /usr/share/keyrings/debian-archive-removed-keys.gpg
force_md5
LIBC=libc6
diff --git a/scripts/squeeze b/scripts/squeeze
index 9a63c96..190cf35 120000
--- a/scripts/squeeze
+++ b/scripts/squeeze
@@ -1 +1 @@
-sid \ No newline at end of file
+etch \ No newline at end of file
diff --git a/scripts/woody b/scripts/woody
index 12c65a3..a72f290 100644
--- a/scripts/woody
+++ b/scripts/woody
@@ -1,5 +1,7 @@
mirror_style release
download_style apt
+default_mirror http://archive.debian.org/debian
+keyring /usr/share/keyrings/debian-archive-removed-keys.gpg
force_md5
LIBC=libc6
diff --git a/scripts/woody.buildd b/scripts/woody.buildd
index 0dd8d50..9d61384 100644
--- a/scripts/woody.buildd
+++ b/scripts/woody.buildd
@@ -1,5 +1,7 @@
mirror_style release
download_style apt
+default_mirror http://archive.debian.org/debian
+keyring /usr/share/keyrings/debian-archive-removed-keys.gpg
force_md5
LIBC=libc6